Status: Resolved Priority: Should have
Author: Robert Lemke Category:
Created: 2007-02-21 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Implement "context" support
Description

It should be possible to put FLOW3 into different environment contexts. Examples are "optimized", "production", "development" and
"testing".

Other parts may then behave accordingly, for example the AOP would adjust the caching of the proxy classes depending on the
selected mode.

See also #339 about Components.ini format.

Associated revisions
Revision 7da2ee0b - 2008-02-27 13:55 - Robert Lemke

    -  FLOW3: (Reflection) Added getProperty() to T3_FLOW3_Reflection_Class. Fixes #370.
    -  FLOW3: (Cache) Implemented load() support for the File backend. Addresses #368.
    -  FLOW3: (Component) The component manager's default context is now "Development". Relates to #23.
    -  Testing: The Base Testcase now sets the cloned component manager's context to "Testing".

History
#1 - 2008-01-23 11:53 - Robert Lemke
- Target version changed from 2 to 1

#2 - 2008-02-20 09:55 - Robert Lemke
- Subject changed from Create "environment mode" support to Implement "context" support

#3 - 2008-07-01 15:35 - Robert Lemke
- Target version deleted (1)

#4 - 2008-08-04 14:35 - Robert Lemke
- Status changed from New to Resolved
